Attribute VB_Name = "Drag"
Private Declare Sub ReleaseCapture Lib "user32" ()
Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Integer, ByVal lParam As Long) As Long
Private Declare Function RegOpenKeyEx Lib "advapi32.dll" Alias "RegOpenKeyExA" _
    (ByVal hKey As Long, ByVal lpSubKey As String, ByVal ulOptions As Long, _
    ByVal samDesired As Long, phkResult As Long) As Long
Private Declare Function RegQueryValueEx Lib "advapi32.dll" Alias "RegQueryValueExA" _
    (ByVal hKey As Long, ByVal lpValueName As String, ByVal lpReserved As Long, _
    lpType As Long, lpData As Any, lPCbData As Long) As Long
Private Declare Function RegCloseKey Lib "advapi32.dll" (ByVal hKey As Long) As Long
Public Const REG_NONE = 0
Public Const REG_SZ = 1
Public Const REG_EXPAND_SZ = 2
Public Const REG_BINARY = 3
Public Const REG_DWORD = 4
Public Const HKEY_CLASSES_ROOT = &H80000000
Public Const HKEY_CURRENT_USER = &H80000001
Public Const HKEY_LOCAL_MACHINE = &H80000002
Public Const HKEY_USERS = &H80000003

Const KEY_QUERY_VALUE = &H1
Public StrValue As String
Public strPath As String
Public hCurKey As Long
Public lRegResult As Long
Public StrData As String
Public hKey As Long
Public Const ERROR_SUCCESS = 0&

Public Declare Function RegCreateKey Lib "advapi32.dll" Alias "RegCreateKeyA" (ByVal hKey As Long, ByVal lpSubKey As String, phkResult As Long) As Long
Public Declare Function RegSetValueEx Lib "advapi32.dll" Alias "RegSetValueExA" (ByVal hKey As Long, ByVal lpValueName As String, ByVal Reserved As Long, ByVal dwType As Long, lpData As Any, ByVal cbData As Long) As Long


Public Sub FormDrag(TheForm As Form)
    ReleaseCapture
    Call SendMessage(TheForm.hwnd, &HA1, 2, 0&)
End Sub

Public Function ReadRegistry(ByVal RegPath As String, ByVal RegName As String) As String
    Dim hKey As Long, RetVal As Long
    Dim Value As String
    Dim RootKey As Variant, RootText As String
    Dim I As Integer
    Value = Space(256)
    On Error GoTo ReadRegistry_Err
    I = 1
    Do Until Mid(RegPath, I, 1) = "\"
        I = I + 1
    Loop
    RootText = Left(RegPath, I - 1)
    RegPath = Mid(RegPath, I + 1)
    Select Case RootText
        Case "HKEY_CLASSES_ROOT": RootKey = HKEY_CLASSES_ROOT
        Case "HKEY_CURRENT_USER": RootKey = HKEY_CURRENT_USER
        Case "HKEY_LOCAL_MACHINE": RootKey = HKEY_LOCAL_MACHINE
        Case "HKEY_USERS": RootKey = HKEY_USERS
        Case Else: ReadRegistry = "": Exit Function
    End Select
    RetVal = RegOpenKeyEx(RootKey, RegPath, 0, KEY_QUERY_VALUE, hKey)
    RetVal = RegQueryValueEx(hKey, RegName, 0, REG_SZ, ByVal Value, Len(Value))
    ReadRegistry = Trim(Value)
    ReadRegistry = Left(ReadRegistry, Len(ReadRegistry) - 1)
    RetVal = RegCloseKey(hKey)
    On Error GoTo 0
    Exit Function
ReadRegistry_Err:
    ReadRegistry = ""
End Function
